Skip to main content
POST
Initiate KYB verification

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

organization_id
string
required

The ID of the organization.

Body

application/json

Request body for initiating a hosted KYB flow for an organization.

provider
enum<string>
required

KYC/KYB provider identifier.

Available options:
bridge
email
string<email>
required

Email address for the organization.

environment
enum<string>

Provider environment (production or sandbox).

Available options:
production,
sandbox
business_name
string

Legal name of the business.

Required string length: 1 - 256
endorsements
string[]

Endorsements to request during KYB.

Endorsement identifier.

Maximum string length: 256
redirect_uri
string<uri>

URI to redirect after completing KYB.

client_agreement_id
string

Client-side agreement ID for ToS acceptance.

Response

200 - application/json

KYB status snapshot including the hosted verification link.

Full KYB status for an organization with a given provider.

provider
enum<string>
required

KYC/KYB provider identifier.

Available options:
bridge
environment
enum<string>
required

Provider environment (production or sandbox).

Available options:
production,
sandbox
status
string
required

KYC/KYB status for the user.

Example:

"approved"

tos
KyxTosStatusDetail · object
required

Terms of Service acceptance status for a KYC or KYB flow.

endorsements
KyxEndorsement · object[]
required
capabilities
KyxCapabilities · object
required

Capability statuses for the customer.

requirements_due
string[]
required

Top-level items still needed (e.g. link a bank account).

future_requirements_due
string[]
required

Items that will be required in the future.

kyb
KyxVerificationStatusDetail · object
required

Verification status detail for a KYC or KYB check.